#ifndef ADC_H
#define	ADC_H
//------------------------------------------------------------------------------
#include <xc.h> // include processor files - each processor file is guarded.  
//------------------------------------------------------------------------------
void ADC_init()
{
  ADCON0 = 0xC1; //<ADCS1:ADCS0>internal A/D RC oscillator,<CHS2:CHS0>Channel 0 (AN0),(ADON) A/D converter module is powered up
  ADCON1 = 0x80; //ADFM = 1 (Right justified. Six (6) Most Significant bits of ADRESH are read as 0)
}
//------------------------------------------------------------------------------
int ADC_read(unsigned char channel)
{
  if(channel > 7)          //If Invalid channel selected
     return 0;
  ADCON0 =  ADCON0 & 0xC1;          //Clearing the Channel Selection Bits to make Channel 0 as default Channel
  ADCON0 =  ADCON0 | (channel<<3);  //Setting the required Bits: CHS2 CHS1 CHS0

  __delay_ms(4);
  GO_DONE = 1;
  while(GO_DONE)
     {/*wait for ADC completion*/};

  return ((ADRESH<<8)+(ADRESL));
}
//------------------------------------------------------------------------------
const float resl = (5.0/1024); //ADC Resolution
//------------------------------------------------------------------------------
float getValue(int temp)
{
  float tempr = temp * resl;  
  return (tempr * 1000);
}
//------------------------------------------------------------------------------
#endif